Subject: Re: [EDUC] PDF et intégrité fichier
From: "d.michon" <[email-masked]>
To: Jean-Luc Poitoux <[email-masked]>, [email-masked]
Date: Sun, 09 Oct 2011 09:02:01 -0300
List-Id: <educ.april.org>

J'i oublié de mentionner :
pdf et problèmes de droits sur les eebooks

http://www.rugbyrama.com/html/faq_pdf.htm
Didier

Le 21/09/2011 15:55, Jean-Luc Poitoux a écrit :
> en effet,
> j'ai touché un point sensible, désolé
>
> merci pour tous ces détails :-)
>
> Benoît Sibaud a écrit :
>> Bonjour,
>>
>> On 2011, Jean-Luc Poitoux wrote:
>>> je retiens que les dernières versions de open/libre office peuvent 
>>> le faire
>>> mais je ne sais pas si c'est une bonne nouvelle pour l'intégrité des
>>> documents
>>
>> Apprendre/comprendre l'informatique ce n'est pas se mentir. Non une 
>> enveloppe
>> transparente n'empêche pas de voir le contenu ; non l'ordinateur ne 
>> m'en veut
>> pas personnellement ; non mon logiciel ne devine pas ce que je pense 
>> ; non ce
>> ne suffit pas qu'il y ait marqué « Document non modifiable », « Document
>> certifié par Machin », « Informations exactes et vues à la télé » ou 
>> autre pour
>> que cela soit vrai.
>>
>> La théorie : sauf informatique déloyale empêchant telle ou telle 
>> fonction
>> logicielle/matérielle, un document numérique peut toujours être 
>> modifié, ne
>> serait-ce qu'en remplaçant au hasard des 0 par des 1 et 
>> réciproquement. Ce qui
>> peut être numériquement lu peut être numériquement écrit (et écrit
>> différemment). Très souvent il est possible de modifier un document 
>> numérique «
>> intelligemment », si on utilise le bon logiciel (un éditeur de texte 
>> pour du
>> texte, un éditeur d'image pour une image, etc.). Et au mieux on peut 
>> juste
>> _détecter_ s'il a été modifié (grâce à une signature numérique, une 
>> somme de
>> contrôle obtenue de manière sûre, etc.).
>>
>> La pratique : la plupart des gens ne pourra modifier un type de 
>> document que si
>> un logiciel est connu pour savoir le faire. Ceci dit, ce n'est pas 
>> une raison
>> pour mentir aux gens et leur donner de fausses certitudes : ce n'est 
>> pas parce
>> que M. Michu ne sait pas éditer un PDF que le PDF n'est pas éditable. Ce
>> n'est pas parce que sa femme ne sait pas casser le chiffrement de 
>> base d'un
>> fichier XLS ou DOC que ce n'est pas possible. Cf un logiciel libre 
>> développé
>> en un rien de temps avec un ami sur http://github.com/nono/xor_me ). 
>> Ce n'est
>> pas parce que leur fils sait qu'un fax à une valeur juridique qu'il 
>> n'est pas
>> possible de modifier la feuille initiale avec du blanc correcteur ou
>> colle/ciseau, ou que l'imprimante multifonction qui fait fax et passe 
>> par le
>> PDF pour faire cela ne permet pas la même chose.
>>
>> Bref le PDF ne fait pas exception. Si rien n'est fait pour 
>> sérieusement empêcher
>> l'édition du PDF (c'est-à-dire sans activer les vraies signatures 
>> numériques
>> apparues avec PDF 1.5, les "sécurités" précédentes étant du vent), un 
>> PDF est
>> éditable « intelligemment ». Et même si les sécurités sont activées, 
>> encore
>> faut-il que le logiciel qui lit le PDF veuille bien les faire 
>> appliquer...
>>
>> La version courte : l'intégrité des documents PDF telle qu'évoquée 
>> précédemment
>> est un mythe.
>>
>> J'ajouterais que la situation évolue... Quand des nouveaux logiciels 
>> simplifient
>> les choses (comme en permettant explicitemment l'édition des PDF), 
>> quand des
>> failles protocolaires de sécurité sont découvertes (pour le wifi, le 
>> WEP a été
>> sûr un jour... maintenant il offre la protection d'une feuille de 
>> papier contre
>> la pluie ; les sommes de contrôle MD5 ont été sures un jour... 
>> maintenant elles
>> sont dépréciées). Pour faire une analogie foireuse, un jour on se 
>> croit hors de
>> portée d'un jet de pierre et on se prend une flèche, on se met hors 
>> de portée
>> d'une flèche et on se prend un carreau d'arbalète... balle de fusil...
>> obus... missile...
>>
>> La version courte : apprenons de vraies notions de sécurité aux gens 
>> (les
>> signatures numériques, leurs limites, etc.), pas juste « si vous ne 
>> savez pas
>> faire les autres non plus ».
>>
>> Librement,
>>
>

--
Pour gÃ©rer votre abonnement Ã  la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ